Bug 30585 - Table settings for course_reserves_table are wrong due to lack of "Holding library" option
Summary: Table settings for course_reserves_table are wrong due to lack of "Holding li...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 22630
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-21 16:08 UTC by Jason Robb
Modified: 2022-07-12 19:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 30585: Fix library options on table settings for course_reserves_table (1.52 KB, patch)
2022-06-06 21:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30585: Fix library options on table settings for course_reserves_table (1.57 KB, patch)
2022-06-06 22:10 UTC, David Nind
Details | Diff | Splinter Review
Bug 30585: Fix library options on table settings for course_reserves_table (1.64 KB, patch)
2022-06-09 12:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Robb 2022-04-21 16:08:42 UTC
The table generated at course-details.pl has columns for both Home library and Holding library, but course_reserves_table in the Table settings admin area only has a single toggle for 'library'.

Hiding 'library' hides the Home library column. Anything after that is off by one. Hiding 'staff_note' actually hides the Holding library column, 'link' hides Public note, etc.
Comment 1 Katrin Fischer 2022-06-06 21:06:28 UTC
Created attachment 135736 [details] [review]
Bug 30585: Fix library options on table settings for course_reserves_table

The table on  course-details.pl has columns for both home library and jolding library,
but course_reserves_table in the Table configuration admin area only has a
single toggle for 'library'.

Hiding 'library' hides the home library column. Anything after that is off by one.
Hiding 'staff_note' actually hides the holding library column, 'link' hides
Public note, etc.

To test:
- Add a course and some course reserves
- Go to table configuration and hide 'staff note'
- Look at the list of course reserves for your course
- Verify the wrong column was hidden
- Apply patch
- The configuration area now shows holding_library and home_library
  as separate options.
- Change the settings and verify everything now hides/displays correctly.
Comment 2 Lucas Gass 2022-06-06 22:03:51 UTC
While attemping to sign off I noticed another problem, so I filed Bug 30911
Comment 3 David Nind 2022-06-06 22:10:05 UTC
Created attachment 135739 [details] [review]
Bug 30585: Fix library options on table settings for course_reserves_table

The table on  course-details.pl has columns for both home library and jolding library,
but course_reserves_table in the Table configuration admin area only has a
single toggle for 'library'.

Hiding 'library' hides the home library column. Anything after that is off by one.
Hiding 'staff_note' actually hides the holding library column, 'link' hides
Public note, etc.

To test:
- Add a course and some course reserves
- Go to table configuration and hide 'staff note'
- Look at the list of course reserves for your course
- Verify the wrong column was hidden
- Apply patch
- The configuration area now shows holding_library and home_library
  as separate options.
- Change the settings and verify everything now hides/displays correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Jonathan Druart 2022-06-09 12:10:02 UTC
Created attachment 135878 [details] [review]
Bug 30585: Fix library options on table settings for course_reserves_table

The table on  course-details.pl has columns for both home library and jolding library,
but course_reserves_table in the Table configuration admin area only has a
single toggle for 'library'.

Hiding 'library' hides the home library column. Anything after that is off by one.
Hiding 'staff_note' actually hides the holding library column, 'link' hides
Public note, etc.

To test:
- Add a course and some course reserves
- Go to table configuration and hide 'staff note'
- Look at the list of course reserves for your course
- Verify the wrong column was hidden
- Apply patch
- The configuration area now shows holding_library and home_library
  as separate options.
- Change the settings and verify everything now hides/displays correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Tomás Cohen Arazi 2022-06-09 13:13:41 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 6 Lucas Gass 2022-07-12 19:37:03 UTC
Backported to 22.05.x for 22.05.03